%define name krubik
%define version 1.06
%define release 9mdk

Summary: %{name} - a 3D model of the Rubik's Cube.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.bz2
Source1: krubik_menuentry
Source2: mini-krubik.xpm
Copyright: GPL
Group: Games/Puzzles
BuildRoot: /var/tmp/%{name}-buildroot
Requires: kdebase qt >= 1.44

%description
Rubik's Kube is a 3D model of the famous Rubik's Cube. The progam
allows turning and twising of the cube. Loadand and saving the cube
has been implmented as well as some other features.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
   ./configure --with-install-root=$RPM_BUILD_ROOT
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix="$RPM_BUILD_ROOT/usr/"

if [ -e $RPM_BUILD_ROOT/usr/share/doc ]; then
  mkdir -p $RPM_BUILD_ROOT/usr/doc
  mv $RPM_BUILD_ROOT/usr/share/doc $RPM_BUILD_ROOT/usr/doc/kde
fi

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/krubik

# (fg) Small icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/mini/krubik.xpm

%clean
rm -rf $RPM_BUILD_ROOT 

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root,755)
/usr/bin/krubik
/usr/lib/menu/krubik
%dir /usr/share/apps
/usr/share/apps/krubik
%dir /usr/share/icons
/usr/share/icons/krubik.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/krubik.xpm
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/krubik.mo
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/krubik

%changelog

* Mon Apr 17 2000 Francis Galiegue <fg@mandrakesoft.com> 1.06-9mdk

- Hmm... Fuzzy Release, Change Release (tm)

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.06-7mdk

- post and postun scripts for menu

* Wed Mar 29 2000 Francis Galiegue <fg@mandrakesoft.com> 1.06-8mdk

- Don't use prefix
- Don't use autogenerated file list
- Small icon
- Menu entry
- Changed group
- Build in /var/tmp, not /tmp

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the requirement of kdebase cvs.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the spec file.
- Build release.

# end of file
